Request
Endpoint: !AutoRemoveMDCDomain
https://secure.trust-provider.com/products/!AutoRemoveMDCDomain
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table lists the required and optional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
The account username. This value is case sensitive. |
|
required |
string |
128 chars |
The account password. This value is case sensitive. |
|
required |
integer |
The order number to remove a domain. |
|
|
required |
string |
255 chars |
The fully qualified domain name to be removed. |
Sample request
curl --location --globoff 'https://secure.trust-provider.com/products/!AutoRemoveMDCDomain' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'domainName=domain_name'
Response
The request is successful when the server returns a response with the error code 0.
Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.
The response is formatted in x-www-form-urlencoded format.
Response parameters
The response may contain the following parameters:
| Parameter | Description |
|---|---|
|
The numeric code indicating the result of the request. For more information, see Error codes. |
|
A description of the error. |
Error codes
The following table outlines error responses returned by the AutoRemoveMDCDomain API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
Authentication has failed due to one of the specified reasons. |
|
|
The request method should be |
|
|
The order must contain at least one domain to be removed. |